Skip to main content

Delete an appointment

DELETE 

/v1/appointments/:id

Delete an appointment.

Please note that this will also delete the Appointment in the Orchestra R5 appointment store (if applicable, e.g. a qpId is stored for the Appointment record). It will also publish events on the general CometD topic and the resource-specific CometD topic.

It is not possible to delete an appointment that is locked by another user.

If the calling user currently holds a lock on the appointment that lock will be released as this call ends.

(see /lock methods)

Example of usage:

curl -u user:password -i -X DELETE http://orchestra-ip:orchestra-port/calendar-backend/api/v1/appointments/{appointmentId}

Request​

Responses​

HTTP 200 OK